Foreman - Feature #4197

Foreman package should handle creation of plugin directories
Status: Closed

Priority: Normal

Assignee: Eric Helms

Category: Packaging

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

For consistency among plugins, the Foreman package should handle creation of plugin directories for things like configuration and

log files. A suggested structure is:

/var/log/foreman/plugins/<plugin_name/<log_files>
/etc/foreman/plugins/<plugin_name/<config_files>

Related issues:

Related to Foreman - Bug #5482: Errror when doing an rpm based upgrade from 1... Resolved

04/29/2014

Associated revisions

Revision 5¢99d8e8 - 02/07/2014 11:52 AM - Eric Helms

Fixes #4197: Adds 'plugins' directory to /var/log/foreman, /etc/foreman,
and /usr/share/foreman to allow plugins to install their own log, config
and other files.

Revision 39397a87 - 02/14/2014 11:25 AM - Eric Helms

Fixes #4197: Adds 'plugins' directory to /var/log/foreman, /etc/foreman, and
/usr/share/foreman to allow plugins to install their own log, config and other
files.

History

#1 - 01/27/2014 06:03 PM - Dominic Cleal
- Category set to Packaging

Just the parent "plugins/" directory | assume?

This might be a good time to get settings.plugins.d/ handled in our packages, e.g. under /etc/foreman/.

#2 - 01/31/2014 10:54 AM - Greg Sutcliffe

We'll need a trivial patch to config/settings.rb to load stuff in subdirs. Should just be changing *.yaml to **/*.yaml.

#3 - 02/06/2014 09:43 AM - Dominic Cleal
- Status changed from New to Ready For Testing
- Assignee set to Eric Helms

- Target version set to 1.9.2

https://github.com/theforeman/foreman/pull/1201

#4 - 02/06/2014 12:10 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

05/10/2024
https://github.com/theforeman/foreman/pull/1201

#5 - 02/14/2014 12:31 PM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 39397a8782a35cdbe37ecfabbb5b3c5552¢3c609.

#6 - 02/27/2014 03:55 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#7 - 05/02/2014 08:16 AM - Dominic Cleal
- Related to Bug #5482: Errror when doing an rom based upgrade from 1.4.1 to 1.5.RC2 added
